Passer au contenu principal

DeepSeekAdded Sep 10, 2026PrivateOpen weights

DeepSeek V4.1 Flash

DeepSeek V4.1 Flash is a multimodal Mixture-of-Experts model with 552B backbone parameters (8B active on input, 16B on output) and a 1M-token context window. It natively processes images and text, with strong reasoning, coding, and agentic performance.

deepseek-v4-1-flashPOST https://api.venice.ai/api/v1/chat/completions
Input / output
$0.30 / $1.20
per 1M tokens
Context
1M
256K max output
Reasoning
none, low, high, max
default high
Cached input
$0.0075
98% off input
Modalities
Text, image
out: text

Pricing

USD per 1M tokens
Input
$0.30
Cached input
$0.0075
Output incl. reasoning
$1.20
Similar modelsInputOutputOutput price, relative
DeepSeek V4.1 Flash$0.30$1.20
MiniMax M3 Preview$0.30$1.20
GPT-5.6 Luna$0.20$1.20
GPT-5.6 Luna Pro$0.20$1.20
DeepSeek v4.1 Flash (1017)$0.30$1.20

Prompt caching is automatic; see Prompt caching.

Specs

Model ID
deepseek-v4-1-flash
Endpoint
POST /api/v1/chat/completions
Context window
1,000,000 tokens
Max output
262,144 tokens
Reasoning effort
reasoning_effort: none | low | high | max · default high · guide
Served precision
FP8
Added
Sep 10, 2026
Weights
Open

Capabilities

Modalities
Text
Input and output
Image
Input only · up to 10
Audio
Not supported
Video
Not supported
Features
Streaming (SSE)
Supported
Function calling
Supported
Structured output (json_schema)
Supported
Reasoning effort
none, low, high, max
Prompt caching
Supported
Web search
venice_parameters
X search
Not supported
Log probabilities
Not supported
Fine-tuning
Not supported
Image generation
Not supported
POST/api/v1/chat/completionsRecommended
curl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "deepseek-v4-1-flash",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }],
"reasoning_effort": "high"
}'

Privacy

Tier 1
Anonymized

Included

Tier 2 · this model
Private

Zero data retention, enforced by contract. Prompts and outputs aren’t stored.

Tier 3
TEE

Not available

Tier 4
End-to-end encrypted

Not available